## net.dontdrinkandroot.wicket.behavior
Class CssClassAppender

    java.lang.Object
      org.apache.wicket.behavior.Behavior
          org.apache.wicket.AttributeModifier
              org.apache.wicket.behavior.AttributeAppender
                  net.dontdrinkandroot.wicket.behavior.CssClassAppender

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public class CssClassAppender

extends org.apache.wicket.behavior.AttributeAppender

Appends a `class` attribute to an element.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.wicket.AttributeModifier
`VALUELESS_ATTRIBUTE_ADD, VALUELESS_ATTRIBUTE_REMOVE`

Constructor Summary
`CssClassAppender(CssClass cssClass)`
`CssClassAppender(org.apache.wicket.model.IModel<? extends CssClass> cssClassModel)`
`CssClassAppender(java.lang.String classToAdd)`

Method Summary

Methods inherited from class org.apache.wicket.behavior.AttributeAppender
`getSeparator, newValue, setSeparator, toString`

Methods inherited from class org.apache.wicket.AttributeModifier
`append, append, detach, getAttribute, getReplaceModel, onComponentTag, prepend, prepend, remove, replace, replace, replaceAttributeValue`

Methods inherited from class org.apache.wicket.behavior.Behavior
`afterRender, beforeRender, bind, canCallListenerInterface, getStatelessHint, isEnabled, isTemporary, onConfigure, onEvent, onException, onRemove, renderHead, unbind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CssClassAppender

    public CssClassAppender(java.lang.String classToAdd)

### CssClassAppender

    public CssClassAppender(CssClass cssClass)

### CssClassAppender

    public CssClassAppender(org.apache.wicket.model.IModel<? extends CssClass> cssClassModel)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.